{
  "schema_version": "1.4.0",
  "id": "GHSA-5wgx-vm65-xvp4",
  "modified": "2022-05-13T01:29:44Z",
  "published": "2022-05-13T01:29:44Z",
  "aliases": [
    "CVE-2018-10539"
  ],
  "details": "An issue was discovered in WavPack 5.1.0 and earlier for DSDiff input. Out-of-bounds writes can occur because ParseDsdiffHeaderConfig in dsdiff.c does not validate the sizes of unknown chunks before attempting memory allocation, related to a lack of integer-overflow protection within a bytes_to_copy calculation and subsequent malloc call, leading to insufficient memory allocation.",
  "severity": [
    {
      "type": "CVSS_V3",
      "score": "CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H"
    }
  ],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2018-10539"
    },
    {
      "type": "WEB",
      "url": "https://github.com/dbry/WavPack/issues/33"
    },
    {
      "type": "WEB",
      "url": "https://github.com/dbry/WavPack/commit/6f8bb34c2993a48ab9afbe353e6d0cff7c8d821d"
    },
    {
      "type": "WEB",
      "url": "https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/6CFFFWIWALGQPKINRDW3PRGRD5LOLGZA"
    },
    {
      "type": "WEB",
      "url": "https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/BRWQNE3TH5UF64IKHKKHVCHJHUOVKJUH"
    },
    {
      "type": "WEB",
      "url": "https://seclists.org/bugtraq/2019/Dec/37"
    },
    {
      "type": "WEB",
      "url": "https://usn.ubuntu.com/3637-1"
    },
    {
      "type": "WEB",
      "url": "https://www.debian.org/security/2018/dsa-4197"
    },
    {
      "type": "WEB",
      "url": "http://packetstormsecurity.com/files/155743/Slackware-Security-Advisory-wavpack-Updates.html"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-787"
    ],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2018-04-29T15:29:00Z"
  }
}